declare @licencia as varchar(30)
declare @id_funcionalidadPadre as int
declare @id_funcionalidad as int 

select @licencia = uid from gen_config where id = 1
select @id_funcionalidadPadre = id from gui_funcionalidad where nombreControl = 'equ_opcionAtributo' and url like '/forms/equ/equ_opcionAtributo.aspx' and id_tipoFuncionalidad = 3 and active = 1

--se crea funcionalidad Boton
if not exists (select id from gui_funcionalidad where nombreComando = 'importarOptAtbDpt' and  nombreControl = 'equ_opcionAtributoDependiente' and id_tipoFuncionalidad = 5 and id_funcionalidad = @id_funcionalidadPadre)
begin
	exec ins_gui_funcionalidad  @licencia, '01', 1, 1, 'Importar opcion atributo dependiente', '', '', '', '', null, null, 0, 'equ_opcionAtributoDependiente', 'importarOptAtbDpt', 0, @id_funcionalidadPadre, 5 
end

select @id_funcionalidad = id from gui_funcionalidad where nombreComando = 'importarOptAtbDpt' and nombreControl = 'equ_opcionAtributoDependiente' and id_tipoFuncionalidad = 5 and id_funcionalidad = @id_funcionalidadPadre

--se concede permiso de boton solo para el perfil administrador
if not exists (select id from seg_perfil_funcionalidad where id_perfil = 2 and id_funcionalidad = @id_funcionalidad)
begin
	exec ins_seg_perfil_funcionalidad @licencia, '01', 1, 1, '', 2,  @id_funcionalidad
end

--se crea funcionalidad formN
if not exists (select id from gui_funcionalidad where nombreComando = 'compartir' and id_tipoFuncionalidad = 5 and id_funcionalidad = @id_funcionalidad)
begin
	exec ins_gui_funcionalidad  @licencia, '01', 1, 1, 'Importar opcion atributo dependiente', '', '', '', '', null, null, 0, null, 'compartir', 0, @id_funcionalidad, 5 
end

select @id_funcionalidad = id from gui_funcionalidad where nombreComando = 'compartir' and id_tipoFuncionalidad = 5 and id_funcionalidad = @id_funcionalidad

--se concede permiso de formN solo para el perfil administrador
if not exists (select id from seg_perfil_funcionalidad where id_perfil = 2 and id_funcionalidad = @id_funcionalidad)
begin
	exec ins_seg_perfil_funcionalidad @licencia, '01', 1, 1, '', 2,  @id_funcionalidad
end